clang-tools 10.0.0

Classes | Public Types | Public Member Functions | List of all members
clang::clangd::Event< T > Class Template Reference

An Event<T> allows events of type T to be broadcast to listeners. More...

`#include <Function.h>`

Inheritance diagram for clang::clangd::Event< T >:
[legend]

## Classes
class | Subscription

## Public Types
using | Listener = std::function< void(const T &)>

## Public Member Functions
Subscription | observe (Listener L)
void | broadcast (const T &V)
| ~Event ()

## Detailed Description

### template<typename T>
class clang::clangd::Event< T >

An Event<T> allows events of type T to be broadcast to listeners.

Definition at line 31 of file Function.h.

## Member Typedef Documentation

## ◆ Listener

template<typename T>

using clang::clangd::Event< T >::Listener = std::function<void(const T &)>

Definition at line 34 of file Function.h.

## Constructor & Destructor Documentation

## ◆ ~Event()

template<typename T>

clang::clangd::Event< T >::~Event | ( |  | ) |
| inline

Definition at line 90 of file Function.h.

## Member Function Documentation

## ◆ broadcast()

template<typename T>

void clang::clangd::Event< T >::broadcast | ( | const T & | V | ) |
| inline

Definition at line 83 of file Function.h.

Referenced by clang::clangd::OverlayCDB::OverlayCDB(), and clang::clangd::OverlayCDB::setCompileCommand().

## ◆ observe()

template<typename T>

Subscription clang::clangd::Event< T >::observe | ( | Listener | L | ) |
| inline

Definition at line 75 of file Function.h.

The documentation for this class was generated from the following file:

- Function.h